{ inputs, lib, pkgs, config, outputs, ... }:
{

  home.file = {
    "bin/knock".source = ../common/scripts/knock;
  };

  imports = [
    common/core
    common/optional/desktops
    common/optional/desktops/i3
    common/optional/desktops/services/blueman-applet.nix
    common/optional/desktops/services/xscreensaver.nix
    common/optional/desktops/xdg.nix
    common/optional/secrets.nix
    #inputs.sops-nix.homeManagerModules.sops
  ];

  sops = {
    age.keyFile = "/home/nipsy/.config/sops/age/keys.txt";
    defaultSopsFile = ./secrets/ginaz.yaml;

    secrets = {
      "reaper_license" = {
        path = "/home/nipsy/.config/REAPER/reaper-license.rk";
      };
      "ssh_config" = {
        path = "/home/nipsy/.ssh/config";
      };
    };
  };

  xsession = {
    initExtra = ''
      xrandr --output eDP --primary --scale 0.5
      xinput set-prop "ELAN06FA:00 04F3:3202 Touchpad" "libinput Middle Emulation Enabled" 0
    '';
    windowManager.i3.config.keybindings = let
      modifier = config.xsession.windowManager.i3.config.modifier;
    in lib.mkOptionDefault {
      "${modifier}+Return" = "exec ghostty";
    };
  };
}
